<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFComment (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFComment (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFComment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFComment.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFComment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFTextbox">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.usermodel</div>
    <h2 title="Class HSSFComment" class="title">Class HSSFComment</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                               title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                       title="class in org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel.HSSFTextbox</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hssf.usermodel.HSSFComment</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                           title="interface in org.apache.poi.ss.usermodel">Comment</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">HSSFComment</span>
extends <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
           title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
              title="interface in org.apache.poi.ss.usermodel">Comment</a></pre>
                <div class="block">Represents a cell comment - a sticky note associated with a cell.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFTextbox">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_CENTERED">HORIZONTAL_ALIGNMENT_CENTERED</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_DISTRIBUTED">HORIZONTAL_ALIGNMENT_DISTRIBUTED</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_JUSTIFIED">HORIZONTAL_ALIGNMENT_JUSTIFIED</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_LEFT">HORIZONTAL_ALIGNMENT_LEFT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#HORIZONTAL_ALIGNMENT_RIGHT">HORIZONTAL_ALIGNMENT_RIGHT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#OBJECT_TYPE_TEXT">OBJECT_TYPE_TEXT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_BOTTOM">VERTICAL_ALIGNMENT_BOTTOM</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_CENTER">VERTICAL_ALIGNMENT_CENTER</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_DISTRIBUTED">VERTICAL_ALIGNMENT_DISTRIBUTED</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_JUSTIFY">VERTICAL_ALIGNMENT_JUSTIFY</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#VERTICAL_ALIGNMENT_TOP">VERTICAL_ALIGNMENT_TOP</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_ARC">OBJECT_TYPE_ARC</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_COMBO_BOX">OBJECT_TYPE_COMBO_BOX</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_COMMENT">OBJECT_TYPE_COMMENT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_LINE">OBJECT_TYPE_LINE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING">OBJECT_TYPE_MICROSOFT_OFFICE_DRAWING</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_OVAL">OBJECT_TYPE_OVAL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_PICTURE">OBJECT_TYPE_PICTURE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#OBJECT_TYPE_RECTANGLE">OBJECT_TYPE_RECTANGLE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_BY_POINTS">WRAP_BY_POINTS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_NONE">WRAP_NONE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#WRAP_SQUARE">WRAP_SQUARE</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#FILL__FILLCOLOR_DEFAULT">FILL__FILLCOLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE__COLOR_DEFAULT">LINESTYLE__COLOR_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTDOTSYS">LINESTYLE_DASHDOTDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTGEL">LINESTYLE_DASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHDOTSYS">LINESTYLE_DASHDOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHGEL">LINESTYLE_DASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DASHSYS">LINESTYLE_DASHSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DEFAULT">LINESTYLE_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTGEL">LINESTYLE_DOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_DOTSYS">LINESTYLE_DOTSYS</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTDOTGEL">LINESTYLE_LONGDASHDOTDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHDOTGEL">LINESTYLE_LONGDASHDOTGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_LONGDASHGEL">LINESTYLE_LONGDASHGEL</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_NONE">LINESTYLE_NONE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINESTYLE_SOLID">LINESTYLE_SOLID</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_DEFAULT">LINEWIDTH_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#LINEWIDTH_ONE_PT">LINEWIDTH_ONE_PT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILL_DEFAULT">NO_FILL_DEFAULT</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_FALSE">NO_FILLHITTEST_FALSE</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#NO_FILLHITTEST_TRUE">NO_FILLHITTEST_TRUE</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#HSSFComment-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-org.apache.poi.hssf.record.TextObjectRecord-org.apache.poi.hssf.record.NoteRecord-">HSSFComment</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                                    <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord,
                                    <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                                       title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;textObjectRecord,
                                    <a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                       title="class in org.apache.poi.hssf.record">NoteRecord</a>&nbsp;note)</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#HSSFComment-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">HSSFComment</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</code>
                                    <div class="block">Construct a new comment with the given parent and anchor.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#HSSFComment-org.apache.poi.hssf.record.NoteRecord-org.apache.poi.hssf.record.TextObjectRecord-">HSSFComment</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                        title="class in org.apache.poi.hssf.record">NoteRecord</a>&nbsp;note,
                                    <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                                       title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;txo)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</code>
                                    <div class="block">remove escher container from the patriarch.escherAggregate
                                        remove obj, textObj and note records if it's necessary
                                        in case of ShapeGroup remove all contained shapes
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#cloneShape--">cloneShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                        title="class in org.apache.poi.hssf.record">ObjRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#createObjRecord--">createObjRecord</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#createSpContainer--">createSpContainer</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#equals-java.lang.Object-">equals</a></span>(java.lang.Object&nbsp;obj)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getAddress--">getAddress</a></span>()</code>
                                    <div class="block">Get the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getAuthor--">getAuthor</a></span>()</code>
                                    <div class="block">Name of the original comment author</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getBackgroundImageId--">getBackgroundImageId</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                        title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getClientAnchor--">getClientAnchor</a></span>()</code>
                                    <div class="block">Return defines position of this anchor in the sheet.</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getColumn--">getColumn</a></span>()</code>
                                    <div class="block">Return the column of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                        title="class in org.apache.poi.hssf.record">NoteRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getNoteRecord--">getNoteRecord</a></span>()</code>
                                    <div class="block">Returns the underlying Note record</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#getRow--">getRow</a></span>()</code>
                                    <div class="block">Return the row of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#hashCode--">hashCode</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#hasPosition--">hasPosition</a></span>()</code>
                                    <div class="block">Do we know which cell this comment belongs to?</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#isVisible--">isVisible</a></span>()</code>
                                    <div class="block">Returns whether this comment is visible.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#resetBackgroundImage--">resetBackgroundImage</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setAddress-org.apache.poi.ss.util.CellAddress-">setAddress</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;address)</code>
                                    <div class="block">Set the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setAddress-int-int-">setAddress</a></span>(int&nbsp;row,
                                    int&nbsp;col)</code>
                                    <div class="block">Set the address of the cell that this comment is attached to
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setAuthor-java.lang.String-">setAuthor</a></span>(java.lang.String&nbsp;author)</code>
                                    <div class="block">Name of the original comment author</div>
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setBackgroundImage-int-">setBackgroundImage</a></span>(int&nbsp;pictureIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setColumn-int-">setColumn</a></span>(int&nbsp;col)</code>
                                    <div class="block">Set the column of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setRow-int-">setRow</a></span>(int&nbsp;row)</code>
                                    <div class="block">Set the row of the cell that contains the comment</div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setShapeType-int-">setShapeType</a></span>(int&nbsp;shapeType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFComment.html#setVisible-boolean-">setVisible</a></span>(boolean&nbsp;visible)</code>
                                    <div class="block">Sets whether this comment is visible.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFTextbox">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getHorizontalAlignment--">getHorizontalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginBottom--">getMarginBottom</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginLeft--">getMarginLeft</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginRight--">getMarginRight</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getMarginTop--">getMarginTop</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#getVerticalAlignment--">getVerticalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setHorizontalAlignment-short-">setHorizontalAlignment</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginBottom-int-">setMarginBottom</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginLeft-int-">setMarginLeft</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginRight-int-">setMarginRight</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setMarginTop-int-">setMarginTop</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setVerticalAlignment-short-">setVerticalAlignment</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#createTextObjRecord--">createTextObjRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getString--">getString</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getTextObjectRecord--">getTextObjectRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#getWrapText--">getWrapText</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#setString-org.apache.poi.ss.usermodel.RichTextString-">setString</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFSimpleShape.html#setWrapText-int-">setWrapText</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hssf.usermodel.<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#countOfAllChildren--">countOfAllChildren</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getEscherContainer--">getEscherContainer</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyle--">getLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineStyleColor--">getLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getLineWidth--">getLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getObjRecord--">getObjRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getOptRecord--">getOptRecord</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getPatriarch--">getPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getRotationDegree--">getRotationDegree</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipHorizontal--">isFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isFlipVertical--">isFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setAnchor-org.apache.poi.hssf.usermodel.HSSFAnchor-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyle-int-">setLineStyle</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setLineWidth-int-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setNoFill-boolean-">setNoFill</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setParent-org.apache.poi.hssf.usermodel.HSSFShape-">setParent</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPatriarch-org.apache.poi.hssf.usermodel.HSSFPatriarch-">setPatriarch</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setPropertyValue-org.apache.poi.ddf.EscherProperty-">setPropertyValue</a>,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#setRotationDegree-short-">setRotationDegree</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait</code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Comment">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                        title="interface in org.apache.poi.ss.usermodel">Comment</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getString--">getString</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setString-org.apache.poi.ss.usermodel.RichTextString-">setString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                        title="interface in org.apache.poi.ss.usermodel">Shape</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#isNoFill--">isNoFill</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setFillColor-int-int-int-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setLineStyleColor-int-int-int-">setLineStyleColor</a>,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html#setNoFill-boolean-">setNoFill</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="HSSFComment-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hssf.record.ObjRecord-org.apache.poi.hssf.record.TextObjectRecord-org.apache.poi.hssf.record.NoteRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFComment</h4>
                                <pre>public&nbsp;HSSFComment(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;spContainer,
                   <a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                      title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;objRecord,
                   <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                      title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;textObjectRecord,
                   <a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                      title="class in org.apache.poi.hssf.record">NoteRecord</a>&nbsp;note)</pre>
                            </li>
                        </ul>
                        <a name="HSSFComment-org.apache.poi.hssf.usermodel.HSSFShape-org.apache.poi.hssf.usermodel.HSSFAnchor-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HSSFComment</h4>
                                <pre>public&nbsp;HSSFComment(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;parent,
                   <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFAnchor.html"
                      title="class in org.apache.poi.hssf.usermodel">HSSFAnchor</a>&nbsp;anchor)</pre>
                                <div class="block">Construct a new comment with the given parent and anchor.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>parent</code> -</dd>
                                    <dd><code>anchor</code> - defines position of this anchor in the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="HSSFComment-org.apache.poi.hssf.record.NoteRecord-org.apache.poi.hssf.record.TextObjectRecord-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>HSSFComment</h4>
                                <pre>protected&nbsp;HSSFComment(<a
                                        href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                        title="class in org.apache.poi.hssf.record">NoteRecord</a>&nbsp;note,
                      <a href="../../../../../org/apache/poi/hssf/record/TextObjectRecord.html"
                         title="class in org.apache.poi.hssf.record">TextObjectRecord</a>&nbsp;txo)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSpContainer--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSpContainer</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;createSpContainer()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#createSpContainer--">createSpContainer</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createObjRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createObjRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/ObjRecord.html"
                                                       title="class in org.apache.poi.hssf.record">ObjRecord</a>&nbsp;createObjRecord()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#createObjRecord--">createObjRecord</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setVisible-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setVisible</h4>
                                <pre>public&nbsp;void&nbsp;setVisible(boolean&nbsp;visible)</pre>
                                <div class="block">Sets whether this comment is visible.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setVisible-boolean-">setVisible</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>visible</code> - <code>true</code> if the comment is visible,
                                        <code>false</code> otherwise
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isVisible--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isVisible</h4>
                                <pre>public&nbsp;boolean&nbsp;isVisible()</pre>
                                <div class="block">Returns whether this comment is visible.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#isVisible--">isVisible</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd><code>true</code> if the comment is visible, <code>false</code> otherwise</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAddress</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                                    title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;getAddress()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAddress--">Comment</a></code></span>
                                </div>
                                <div class="block">Get the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAddress--">getAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>comment cell address</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-org.apache.poi.ss.util.CellAddress-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(<a
                                        href="../../../../../org/apache/poi/ss/util/CellAddress.html"
                                        title="class in org.apache.poi.ss.util">CellAddress</a>&nbsp;address)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-">Comment</a></code></span>
                                </div>
                                <div class="block">Set the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAddress-int-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAddress</h4>
                                <pre>public&nbsp;void&nbsp;setAddress(int&nbsp;row,
                       int&nbsp;col)</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-int-int-">Comment</a></code></span>
                                </div>
                                <div class="block">Set the address of the cell that this comment is attached to</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-int-int-">setAddress</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRow</h4>
                                <pre>public&nbsp;int&nbsp;getRow()</pre>
                                <div class="block">Return the row of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getRow--">getRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based row of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRow-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRow</h4>
                                <pre>public&nbsp;void&nbsp;setRow(int&nbsp;row)</pre>
                                <div class="block">Set the row of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setRow-int-">setRow</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>row</code> - the 0-based row of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getColumn--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getColumn</h4>
                                <pre>public&nbsp;int&nbsp;getColumn()</pre>
                                <div class="block">Return the column of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getColumn--">getColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the 0-based column of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setColumn-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setColumn</h4>
                                <pre>public&nbsp;void&nbsp;setColumn(int&nbsp;col)</pre>
                                <div class="block">Set the column of the cell that contains the comment</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setColumn-int-">setColumn</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>col</code> - the 0-based column of the cell that contains the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAuthor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAuthor</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getAuthor()</pre>
                                <div class="block">Name of the original comment author</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getAuthor--">getAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the name of the original author of the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAuthor-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAuthor</h4>
                                <pre>public&nbsp;void&nbsp;setAuthor(java.lang.String&nbsp;author)</pre>
                                <div class="block">Name of the original comment author</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAuthor-java.lang.String-">setAuthor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>author</code> - the name of the original author of the comment</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNoteRecord--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNoteRecord</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/hssf/record/NoteRecord.html"
                                                       title="class in org.apache.poi.hssf.record">NoteRecord</a>&nbsp;getNoteRecord()</pre>
                                <div class="block">Returns the underlying Note record</div>
                            </li>
                        </ul>
                        <a name="hasPosition--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>hasPosition</h4>
                                <pre>public&nbsp;boolean&nbsp;hasPosition()</pre>
                                <div class="block">Do we know which cell this comment belongs to?</div>
                            </li>
                        </ul>
                        <a name="getClientAnchor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getClientAnchor</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                                    title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a>&nbsp;getClientAnchor()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getClientAnchor--">Comment</a></code></span>
                                </div>
                                <div class="block">Return defines position of this anchor in the sheet.
                                    The anchor is the yellow box/balloon that is rendered on top of the sheets
                                    when the comment is visible.

                                    To associate a comment with a different cell, use <a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#setAddress-org.apache.poi.ss.util.CellAddress-"><code>Comment.setAddress(org.apache.poi.ss.util.CellAddress)</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Comment.html#getClientAnchor--">getClientAnchor</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                                title="interface in org.apache.poi.ss.usermodel">Comment</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>defines position of this anchor in the sheet</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setShapeType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setShapeType</h4>
                                <pre>public&nbsp;void&nbsp;setShapeType(int&nbsp;shapeType)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#setShapeType-int-">setShapeType</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>shapeType</code> - - shapeType</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFShapeTypes.html"
                                           title="interface in org.apache.poi.hssf.usermodel"><code>HSSFShapeTypes</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>afterRemove</h4>
                                <pre>public&nbsp;void&nbsp;afterRemove(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFPatriarch.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFPatriarch</a>&nbsp;patriarch)</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">HSSFShape</a></code></span>
                                </div>
                                <div class="block">remove escher container from the patriarch.escherAggregate
                                    remove obj, textObj and note records if it's necessary
                                    in case of ShapeGroup remove all contained shapes
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#afterRemove-org.apache.poi.hssf.usermodel.HSSFPatriarch-">afterRemove</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="cloneShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>cloneShape</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFShape.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFShape</a>&nbsp;cloneShape()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html#cloneShape--">cloneShape</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hssf/usermodel/HSSFTextbox.html"
                                                title="class in org.apache.poi.hssf.usermodel">HSSFTextbox</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBackgroundImage-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBackgroundImage</h4>
                                <pre>public&nbsp;void&nbsp;setBackgroundImage(int&nbsp;pictureIndex)</pre>
                            </li>
                        </ul>
                        <a name="resetBackgroundImage--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>resetBackgroundImage</h4>
                                <pre>public&nbsp;void&nbsp;resetBackgroundImage()</pre>
                            </li>
                        </ul>
                        <a name="getBackgroundImageId--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBackgroundImageId</h4>
                                <pre>public&nbsp;int&nbsp;getBackgroundImageId()</pre>
                            </li>
                        </ul>
                        <a name="equals-java.lang.Object-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>equals</h4>
                                <pre>public&nbsp;boolean&nbsp;equals(java.lang.Object&nbsp;obj)</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>equals</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="hashCode--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>hashCode</h4>
                                <pre>public&nbsp;int&nbsp;hashCode()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>hashCode</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFComment.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFCombobox.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/usermodel/HSSFConditionalFormatting.html"
               title="class in org.apache.poi.hssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/usermodel/HSSFComment.html" target="_top">Frames</a>
        </li>
        <li><a href="HSSFComment.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.hssf.usermodel.HSSFTextbox">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
